# Retrieve an insight.

Endpoint: GET /insights/{insightId}
Version: v3
Security: oauth2

## Path parameters:

  - `insightId` (string, required)
    Id of the insight.

## Query parameters:

  - `ignoreQueryFilters` (boolean)
    Ignore global filter.

## Response 200 fields (application/json):

  - `id` (string)
    Gets or sets the unique identifier of the insight.

  - `customerId` (string)
    Gets or sets the unique identifier of the customer associated with the insight.

  - `sequenceNumber` (null | string)
    Gets or sets the sequence number of the insight.

  - `equipmentId` (null | string)
    Gets or sets the unique identifier of the equipment associated with the insight.

  - `twinId` (null | string)
    Gets or sets the twin identifier of the insight.

  - `twinName` (null | string)
    Gets or sets the name of the twin associated with the insight.

  - `type` (string)
    Gets or sets the type of the insight.
    Enum: "fault", "energy", "alert", "note", "goldenStandard", "infrastructure", "integrityKpi", "energyKpi", "edgeDevice", "dataQuality", "commissioning", "comfort", "wellness", "calibration", "diagnostic", "predictive", "alarm", "maintenance"

  - `insightType` (string)
    Gets or sets the type of the insight (standard or scenario).
    Enum: "standard", "scenario"

  - `category` (string)
    Gets or sets the category of the insight.
    Enum: "fault", "energy", "alert", "note", "goldenStandard", "infrastructure", "integrityKpi", "energyKpi", "edgeDevice", "dataQuality", "commissioning", "comfort", "wellness", "calibration", "diagnostic", "predictive", "alarm", "maintenance"

  - `name` (null | string)
    Gets or sets the name of the insight.

  - `description` (null | string)
    Gets or sets the description of the insight.

  - `recommendation` (null | string)
    Gets or sets the recommendation for the insight.

  - `impactScores` (null | array)
    Gets or sets the impact scores associated with the insight.

  - `impactScores.name` (null | string)
    Gets or sets the name of the impact score.

  - `impactScores.fieldId` (null | string)
    Gets or sets the field ID of the impact score.

  - `impactScores.value` (number)
    Gets or sets the value of the impact score.

  - `impactScores.unit` (null | string)
    Gets or sets the unit of the impact score.

  - `impactScores.externalId` (null | string)
    Gets or sets the external ID that matches a time series in ADX.

  - `impactScores.ruleId` (null | string)
    Gets or sets the rule ID associated with the impact score.

  - `impactScores.description` (null | string)
    Gets or sets the description of the impact score.

  - `priority` (integer)
    Gets or sets the priority of the insight.

  - `lastStatus` (string)
    Gets or sets the last status of the insight.
    Enum: "open", "ignored", "inProgress", "resolved", "new", "deleted", "readyToResolve"

  - `state` (string)
    Gets or sets the state of the insight.
    Enum: "inactive", "active", "disabled", "insufficientData", "archived"

  - `createdDate` (string)
    Gets or sets the date when the insight was created.

  - `updatedDate` (string)
    Gets or sets the date when the insight was last updated.

  - `occurredDate` (string)
    Gets or sets the date when the insight occurred.

  - `detectedDate` (string)
    Gets or sets the date when the insight was detected.

  - `sourceType` (string)
    Gets or sets the source type of the insight.
    Enum: "willow", "app", "inspection"

  - `sourceId` (null | string)
    Gets or sets the unique identifier of the source associated with the insight.

  - `sourceName` (null | string)
    Gets or sets the name of the source associated with the insight.

  - `primaryModelId` (null | string)
    Gets or sets the primary model identifier of the insight.

  - `externalId` (null | string)
    Gets or sets the external identifier of the insight.

  - `externalStatus` (null | string)
    Gets or sets the external status of the insight.

  - `externalMetadata` (null | string)
    Gets or sets the external metadata of the insight.

  - `occurrenceCount` (integer)
    Gets or sets the occurrence count of the insight.

  - `createdUserId` (null | string)
    Gets or sets the unique identifier of the user who created the insight.

  - `ruleId` (null | string)
    Gets or sets the rule identifier associated with the insight.

  - `ruleName` (null | string)
    Gets or sets the rule name associated with the insight.

  - `newOccurrence` (boolean)
    Gets or sets a value indicating whether the insight is a new occurrence.

  - `previouslyIgnored` (integer)
    Gets or sets the count of times the insight was previously ignored.

  - `previouslyResolved` (integer)
    Gets or sets the count of times the insight was previously resolved.

  - `floorId` (null | string)
    Gets or sets the unique identifier of the floor associated with the insight.

  - `reported` (boolean)
    Gets or sets a value indicating whether the insight has been reported.

  - `commentCount` (integer)
    Gets or sets the comment count for the insight.

  - `lastResolvedDate` (null | string)
    Gets or sets the date when the insight was last resolved.

  - `lastIgnoredDate` (null | string)
    Gets or sets the date when the insight was last ignored.

  - `locations` (null | array)
    Gets or sets the locations associated with the insight.

  - `locationDetails` (null | array)
    Gets or sets the location details, including twin ID, name, and model ID.

  - `locationDetails.id` (null | string)
    Gets or sets location Id (Scope's twinId).

  - `locationDetails.name` (null | string)
    Gets or sets location name.

  - `locationDetails.modelId` (null | string)
    Gets or sets location model Id.

  - `tags` (null | array)
    Gets or sets the tags associated with the insight.

  - `isDiagnosticsData` (boolean)
    Gets or sets a value indicating whether the insight contains diagnostics data.

  - `ignoreUntil` (null | string)
    Gets or sets the ignore expiry date for the insight.

  - `openTicketCount` (integer)
    Gets or sets the number of open tickets for the insight.

  - `completedTicketCount` (integer)
    Gets or sets the number of Completed tickets for the insight.

  - `closedTicketCount` (integer)
    Gets or sets the number of closed tickets for the insight.

  - `ticketClosedDate` (null | string)
    Gets or sets the ticket closed date.

  - `ticketCompletedDate` (null | string)
    Gets or sets the ticket completed date.

  - `secondaryTwins` (null | array)
    Gets or sets the secondary twins "secondary components" of the insight.

  - `secondaryTwins.id` (null | string)
    Gets or sets twin Id.

  - `secondaryTwins.name` (null | string)
    Gets or sets twin Name.

  - `secondaryTwins.modelId` (null | string)
    Gets or sets model id.

  - `secondaryTwins.eTag` (null | string)
    Gets or sets unique tag of location for changes.

  - `recommendations` (null | array)
    Gets or sets the recommendations of the insight.

  - `recommendations.id` (string)
    Gets or sets the unique identifier for the recommendation.

  - `recommendations.name` (null | string)
    Gets or sets the name of the recommendation.

  - `recommendations.recommendation` (null | string)
    Gets or sets the recommendation.

  - `recommendations.tags` (null | array)
    Gets or sets the tags for recommendation.

  - `recommendations.ignored` (boolean)
    Gets or sets a value indicating whether the recommendation is ignored or not.

  - `recommendations.tickets` (null | array)
    Gets or sets the recommendation's tickets.

  - `recommendations.tickets.id` (string)
    Gets or sets the ticket id.

  - `recommendations.tickets.summary` (null | string)
    Gets or sets the ticket summary.

  - `recommendations.tickets.createdDate` (string)
    Gets or sets the ticket created date.

  - `recommendations.tickets.ticketStatus` (object)
    Gets or sets the ticket status details.

  - `recommendations.tickets.ticketStatus.id` (string)
    Gets or sets the unique identifier for the ticket status.

  - `recommendations.tickets.ticketStatus.name` (null | string)
    Gets or sets the name of the ticket status.

  - `recommendations.tickets.ticketStatus.tab` (null | string)
    Gets or sets the status's tab that can be used to filter ticket status in UI.

  - `recommendations.tickets.ticketStatus.color` (null | string)
    Gets or sets the color associated with the ticket status.

  - `dependencyCount` (integer)
    Gets or sets the number of insight's dependencies.

  - `actionStatus` (string)
    Gets or sets the action status of the insight.
    Enum: "needsAction", "inProgress", "unsuccessfullyActioned", "successfullyActioned"

  - `actionStatusV2` (string)
    Gets or sets the action status of the insight, using InsightActionStatusV2.None
when the insight matches no category (rather than coercing to
InsightActionStatusV2.NeedsAction as the deprecated InsightActionStatus InsightDto.ActionStatus does).
    Enum: "none", "needsAction", "inProgress", "unsuccessfullyActioned", "successfullyActioned"

  - `scenarioId` (null | string)
    Gets or sets the insights parent scenario id.

  - `scenarioName` (null | string)
    Gets or sets the insights parent scenario name.

  - `firstExecutedCommandDate` (null | string)
    Gets or sets the first executed command date for the insight.

  - `descriptionUpdatedDate` (null | string)
    Gets or sets the date when the insight description was last updated.

  - `twinsIncludedCount` (null | integer)
    Gets or sets the number of twins included in the scenario insight.

  - `groupedInsightsCount` (null | integer)
    Gets or sets the number of grouped insights in the scenario insight.

## Response 404 fields (application/json):

  - `type` (null | string)

  - `title` (null | string)

  - `status` (null | integer)

  - `detail` (null | string)

  - `instance` (null | string)

